<CsoundSynthesizer>
<CsOptions>
-odac -Ma -b128 -B512 --midi-key=4 --midi-velocity-amp=5 -m0
</CsOptions>
<CsInstruments>

/******PLAYING WITH CENT DEVIATIONS******/

giScale 	ftgen 		1, 0, -12, -2, 0, -34, -7, 10, -14, 3, -21, -3, -27, -10, 7, -17
		massign 	0, 1

instr 1
ikey		=		p4
ivel		=		p5
indx		=		ikey % 12
icent		tab_i		indx, 1
ifreqeq	=		cpsmidinn(ikey)
ifreq		=		ifreqeq * cent(icent)
prints		"Key %d: equal-tempered frequency = %f; frequency with cent deviation %d = %f%n",ikey,ifreqeq,icent,ifreq
anote		oscils		ivel, ifreq, 0
kenv		linsegr	0, .1, 1, p3-0.1, 1, .1, 0
		out		anote * kenv
endin
</CsInstruments>
<CsScore>
f 0 3600
e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 163 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1
ioSlider {45, 5} {20, 100} 0.000000 1.000000 0.000000 slider2
ioSlider {85, 5} {20, 100} 0.000000 1.000000 0.000000 slider3
ioSlider {125, 5} {20, 100} 0.000000 1.000000 0.000000 slider4
ioSlider {165, 5} {20, 100} 0.000000 1.000000 0.000000 slider5
</MacGUI>

