<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr=96000
ksmps=1
nchnls=2


;Filename           # ??? #  ; Name of file to process.  Required parameter,



# ifndef Fftsize                    
# define Fftsize          # 2048 #  
# end

# ifndef Ol
# define Ol               # 4 #  
# end

# ifndef Win
# define Win  		      # 2 #  
# end

# ifndef Wt
# define Wt	              # 0 #
# end

# ifndef Wet
# define Wet	              # 1 #
# end

# ifndef Dry
# define Dry	              # 0 #
# end

# ifndef Speed
# define Speed	              # 1 #
# end

# ifndef Smooth
# define Smooth	              # 1 #
# end

giwarp	ftgen 101,0,8192,-7,0,8192, 8192 
gieq		ftgen 2000,0,8192,-7,1,8192, 1 



opcode warp,0,kiiiiiiii
	

kBins,inumbins, iampin, iampout, iwarp, iEQ, ifreqout, ifreqin, icount xin

; make sure we start with an empty table
iclear 	ftgen 0, 0, inumbins, -2, 0


	tablecopy iampout, iclear
	tablecopy ifreqout, ifreqin
	tablecopy icount, iclear

kindex = 0

loop:

kwarp		table   kindex, iwarp

kAmp		table   kindex, iampin
kFreq		table   kindex, ifreqin

kAmpTest	table   kwarp, iampout
ktest		table   kwarp, icount
		tablew  1/(ktest+1), kwarp, icount 	

kAmpAdd=kAmpTest

if (ktest = 0) then
	tablew  kFreq, kwarp, ifreqout
	tablew  kAmp, kwarp, iampout
elseif (kAmp>kAmpTest) then
	tablew  kFreq, kwarp, ifreqout
	tablew  kAmp+kAmpAdd, kwarp, iampout
else
	tablew  kAmp+kAmpAdd, kwarp, iampout
endif

kindex = kindex + 1



if (kindex < kBins) kgoto loop
	
	vmultv  iampout, iEQ, kBins 
	vmultv  iampout, icount, kBins 

endop
	
	
instr Setup

	ilength   filelen "$Filename"            ; Length of file in seconds

	; Process audio file

	event_i "i", 1, 0.0, (ilength / $Speed) +.3

	turnoff
endin

	
instr 1
	ftload "./Warp/warpTab.ftsave", 1, 101
	ftload "./Warp/warpTabEQ.ftsave", 1, 2000
;kfactor = sr/96000.

;ifilesr filesr "$Filename"                ; Get samplerate of file
	
;ilength   filelen "$Filename"            ; Length of file in seconds

ain1, ain2     diskin2 "$Filename", $Speed  ; Read file from disk

ain1	delay ain1, .1
ain2	delay ain2, .1

ain1	dcblock  ain1
ain2	dcblock  ain2

; get input and do pvanal
ifftsize = $Fftsize
iol = $Ol
iNumBins = (ifftsize/2) + 1
kBins = iNumBins;/kfactor
ihop = ifftsize/iol
iwindow = ifftsize*$Win;1, 2, 4
iwintype = $Wt; 0, 1

fsig1 pvsanal ain1, ifftsize, ihop, iwindow, iwintype
fsig2 pvsanal ain2, ifftsize, ihop, iwindow, iwintype


aout3 pvsynth fsig1
aout4 pvsynth fsig2

fsig111	pvsmooth fsig1, $Smooth, $Smooth
fsig222	pvsmooth fsig2, $Smooth, $Smooth

iCount1 ftgen 0,0,iNumBins,2,0
iCount2 ftgen 0,0,iNumBins,2,0
iampin ftgen 0,0,iNumBins,2,0
iampout ftgen 0,0,iNumBins,2,0

iampin2 ftgen 0,0,iNumBins,2,0
iampout2 ftgen 0,0,iNumBins,2,0
iampin3 ftgen 0,0,iNumBins,2,0
ifreqin1 ftgen 0,0,iNumBins,2,0
ifreqin2 ftgen 0,0,iNumBins,2,0
ifreqout1 ftgen 0,0,iNumBins,2,0
ifreqout2 ftgen 0,0,iNumBins,2,0

; export fsig to tables
kflag pvsftw fsig111, iampin,ifreqin1
if (kflag > 0) then ; only proc when frame is ready

;warp 
	warp kBins,iNumBins, iampin, iampout, 101, 2000,ifreqout1, ifreqin1, iCount1

; read modified data back to fsrc
	pvsftr fsig111, iampout,ifreqout1

endif


; export fsig to tables
kflag2 pvsftw fsig222, iampin2,ifreqin2
if (kflag2 > 0) then ; only proc when frame is ready

; warp
	warp kBins,iNumBins, iampin2, iampout2, 101, 2000,ifreqout2, ifreqin2, iCount2

; read modified data back to fsrc
	pvsftr fsig222, iampout2,ifreqout2

endif

; resynthesize and output - compare with untouched right channel

aout1 pvsynth fsig111
aout2 pvsynth fsig222

;aout3 pvsynth fsig3
;aout4 pvsynth fsig4

;outs ain1, ain2
outs (aout1*$Wet)+(aout3*$Dry), (aout2*$Wet)+(aout4*$Dry)

endin	

	
</CsInstruments>
<CsScore>

i "Setup" 0 0.0001  ; Start processor


</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView nobackground {59624, 59624, 59624}
ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1
ioSlider {45, 5} {20, 100} 0.000000 1.000000 0.000000 slider2
ioSlider {85, 5} {20, 100} 0.000000 1.000000 0.000000 slider3
ioSlider {125, 5} {20, 100} 0.000000 1.000000 0.000000 slider4
ioSlider {165, 5} {20, 100} 0.000000 1.000000 0.000000 slider5
</MacGUI>

