<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 96000
ksmps = 10
nchnls = 1
0dbfs = 1

instr 1
ifftsize = 2048 ;FFT size
iol = 4	    ;Overlap factor
ihop = ifftsize/iol	;hop size
iwindow = ifftsize*2	;window size (can be larger than FFT)
iwintype = 2
iNumBins = (ifftsize/2) + 1	; The number of used bins+1 for use by the table
ifreq ftgen 0,0,iNumBins,2,0
iamp  ftgen 0,0,iNumBins,2,0

;function table for remapping the data
iwarpfunction ftgen 0,0,iNumBins,-7,0 ,iNumBins, iNumBins
;ain1, ain2 diskin "/Volumes/Sounds/vocal noises/mm-ah hrmonics.aiff", 1
ain1	in
ain1	dcblock	ain1
fsig1	pvsanal 	ain1, ifftsize, ihop, iwindow, iwintype	
; export fsig amplitude and frequency data to table
kflag 	pvsftw fsig1, iamp, ifreq

if (kflag > 0) then ; only proc when frame is ready
; read data back to fsrc
	pvsftr fsig1, iamp, ifreq
endif

aout1 pvsynth fsig1
out	aout1
endin


</CsInstruments>
<CsScore>

i 1 0 20
e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 0 62 801 140
CurrentView: io
IOViewEdit: On
Options: -b128 -A -s -m167 -R
</MacOptions>
<MacGUI>
ioView background {32125, 41634, 41120}
</MacGUI>

